Translation(s): English - Italiano

(!) ?Discussion


Open Metaverse Viewer

debian_information_center.jpg

openmetaversescreen2.jpg

Debian Information centre "ama gi 17,45,26"

Sleek Music Club

Open Metaverse Viewer, is a client for connecting to 3D virtual worlds such as Linden Research Inc's ?SecondLife(tm) and other grids implemented using the OpenSim server.

The Open Metaverse Viewer's upstream origin is the source code to the offical Linden Research Inc's "Secondlife Viewer", but with a number of patches for open source compliance, some bug fixes from the upstream bug tracker and the package renamed and trademarked images removed to comply with current trademark policy.

The package is currently maintained in git and experimental packages are released on a test repository (external to debian). No current official Debian releases yet exist.

Source code for packages

The source code for the packaging is checked in to git in the Debian Games team area on Alioth, this can be found at:

http://git.debian.org/git/pkg-games/slviewer.git

http://git.debian.org/git/pkg-games/slviewer-artwork.git

Licence

The main licences of the package are:

Source code - GNU GPL

Artwork - CC SA 3.0

But please check the debian/copyrights and individual file headers for specific details.

Current issues

Missing dependency libllmozlib. The viewer can be built with out the library but some in world functionality is lost.

Install

Currently NO offical debian packages exist

Experimental builds of the packages can be found in my test repository:

deb http://apt.byteme.org.uk unstable main

deb http://apt.byteme.org.uk experimental main

unstable contains latest release versions of the viewer, experimental contains release candidate

apt-get install omvviewer

(for current release it is "apt-get install slviewer" but this will change to omvviewer when next RC goes golden)

The repository also contains the missing libllmozlib dependency.

Help required

The biggest single problem/blocker is the embedded html engine. It is possible this is being switched to webkit and this may solve the dependency issues and this is the main reason this package has not attempted to enter Debian yet.

The packaging needs further cleaning up. There are a number of lintian issues which need resolving.

The debian/copyright needs some thorough checking through the files and the file tree needs checking to see what else has been dragged in and not realized.

The patches are currently in dpatch format, it might be an idea to convert to quilt as that was the games team preferred format.

There are a number of libraries linked that are not directly used, this needs resolving but can wait until the build system has been changed to cmake, which is happening very soon.